package com.ruoyi.ibs.list.domain;

import com.fasterxml.jackson.annotation.JsonFormat;
import com.ruoyi.common.annotation.Excel;
import com.ruoyi.common.core.domain.BaseEntity;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;

import java.util.Date;

/**
 * 分群客户关联关系,导入的客群用户存放在这里对象 sys_group_customer
 *
 * @author ruoyi
 * @date 2024-09-14
 */
public class SysGroupCustomerExportVo extends BaseEntity {
    private static final long serialVersionUID = 1L;

    /**
     * id
     */
    private Long id;

    /**
     * 分群id
     */
    private String groupId;

    /**
     * 客户号
     */
    @Excel(name = "客户号")
    private String custId;

    /**
     * 客户内码
     */
    private String custIsn;

    /**
     * 客户名
     */
    @Excel(name = "客户名")
    private String custName;

    /**
     * 客户类型
     */
    @Excel(name = "客户类型")
    private String custType;

    /**
     * 客户身份证号
     */
    @Excel(name = "证件号")
    private String custIdc;

    /**
     * 部门id
     */
    private Long deptId;

    /**
     * 用户id
     */
    private Long userId;

    /**
     * 删除标志(0代表存在，2代表删除)
     */
    private String delFlag;

    /**
     * 网格id
     */
    private Long gridId;

    /**
     * 推送状态(0代表未推送，1代表推送成功，2代表推送失败)
     */
    private String pushStatus;

    /**
     * 客户手机号
     */
    private String custPhone;

    /**
     * 归属网格名称
     */
    private String gridName;

    /**
     * 归属客户经理姓名
     */
    private String userName;

    /**
     * 归属客户经理姓名
     */
    private String deptName;

    @Excel(name = "分群名称")
    private String groupName;

    private String gridName2;

    private String outlets;

    private String custLb;

    private String tellerId;

    @JsonFormat(pattern = "yyyy-MM-dd")
    private Date createTime;




    public String getCustType() {
        return custType;
    }

    public void setCustType(String custType) {
        this.custType = custType;
    }

    public void setId(Long id) {
        this.id = id;
    }

    public Long getId() {
        return id;
    }

    public void setGroupId(String groupId) {
        this.groupId = groupId;
    }

    public String getGroupId() {
        return groupId;
    }

    public void setCustId(String custId) {
        this.custId = custId;
    }

    public String getCustId() {
        return custId;
    }

    public void setCustName(String custName) {
        this.custName = custName;
    }

    public String getCustName() {
        return custName;
    }

    public void setCustIdc(String custIdc) {
        this.custIdc = custIdc;
    }

    public String getCustIdc() {
        return custIdc;
    }

    public void setDeptId(Long deptId) {
        this.deptId = deptId;
    }

    public Long getDeptId() {
        return deptId;
    }

    public void setUserId(Long userId) {
        this.userId = userId;
    }

    public Long getUserId() {
        return userId;
    }

    public void setDelFlag(String delFlag) {
        this.delFlag = delFlag;
    }

    public String getDelFlag() {
        return delFlag;
    }

    public void setGridId(Long gridId) {
        this.gridId = gridId;
    }

    public Long getGridId() {
        return gridId;
    }

    public void setPushStatus(String pushStatus) {
        this.pushStatus = pushStatus;
    }

    public String getPushStatus() {
        return pushStatus;
    }

    public void setCustPhone(String custPhone) {
        this.custPhone = custPhone;
    }

    public String getCustPhone() {
        return custPhone;
    }

    public void setGridName(String gridName) {
        this.gridName = gridName;
    }

    public String getGridName() {
        return gridName;
    }

    public void setUserName(String userName) {
        this.userName = userName;
    }

    public String getUserName() {
        return userName;
    }

    public String getCustIsn() {
        return custIsn;
    }

    public void setCustIsn(String custIsn) {
        this.custIsn = custIsn;
    }

    public String getDeptName() {
        return deptName;
    }

    public void setDeptName(String deptName) {
        this.deptName = deptName;
    }

    public String getGroupName() {
        return groupName;
    }

    public void setGroupName(String groupName) {
        this.groupName = groupName;
    }

    public String getGridName2() {
        return gridName2;
    }

    public void setGridName2(String gridName2) {
        this.gridName2 = gridName2;
    }

    public String getOutlets() {
        return outlets;
    }

    public void setOutlets(String outlets) {
        this.outlets = outlets;
    }

    public String getCustLb() {
        return custLb;
    }

    public void setCustLb(String custLb) {
        this.custLb = custLb;
    }

    public String getTellerId() {
        return tellerId;
    }

    public void setTellerId(String tellerId) {
        this.tellerId = tellerId;
    }

    @Override
    public Date getCreateTime() {
        return createTime;
    }

    public void setCreateTime(Date createTime) {
        this.createTime = createTime;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this, ToStringStyle.MULTI_LINE_STYLE)
                .append("id", getId())
                .append("groupId", getGroupId())
                .append("custId", getCustId())
                .append("custName", getCustName())
                .append("custIdc", getCustIdc())
                .append("deptId", getDeptId())
                .append("userId", getUserId())
                .append("createBy", getCreateBy())
                .append("createTime", getCreateTime())
                .append("updateBy", getUpdateBy())
                .append("updateTime", getUpdateTime())
                .append("remark", getRemark())
                .append("delFlag", getDelFlag())
                .append("gridId", getGridId())
                .append("pushStatus", getPushStatus())
                .append("custPhone", getCustPhone())
                .append("gridName", getGridName())
                .append("userName", getUserName())
                .append("custIsn", getCustIsn()).append("deptName", getDeptName()).append("groupName", getGroupName())
                .append("gridName2",getGridName2()).append("outlets",getOutlets())
                .toString();
    }
}
